// strcomp.cpp - Sin diferenciar mayúsculas de minúsculas
#include <iostream>
#include <string>
using namespace std;

string minusculas(string str);

int main( )
{
  string str1 = "La provincia de Santander es muy bonita";
  string str2 = "La provincia de SANTANDER es muy bonita";
  string strtemp;

  if( minusculas(str1) > minusculas(str2) )
    strtemp = "mayor que ";
  else if( minusculas(str1) < minusculas(str2) )
    strtemp = "menor que ";
  else
    strtemp = "igual a ";
  cout << str1 << " es " << strtemp << str2 << endl;
}

string minusculas(string str)
{
  char cadena[80];
  str.copy(cadena, str.length());
  cadena[str.length()]=0;
  strlwr(cadena);
  return string(cadena);
}

